XSH(4) | Device Drivers Manual (amiga) | XSH(4)

# NAME

`xsh` —
Individual Computers X-Surf 100 driver

# SYNOPSIS

`xsh* at zbus0`
`ne* at xshbus?`
`ukphy* at mii? phy ?`

# DESCRIPTION

The `xsh` driver provides support for ethernet interface present on the Individual Computers X-Surf 100 card. It acts as a bus attachment layer for the machine idependent ne(4) driver, which supports the AX88796 chip.

# HARDWARE

The `xsh` driver supports the following hardware:

Individual Computers X-Surf 100

# SEE ALSO

amiga/xsurf(4), mii(4), ne(4)

X-Surf 100 on Individual Computers wiki

# HISTORY

The `xsh` device first appeared in NetBSD 7.0.

# AUTHORS

The `xsh` driver was written by Radoslaw Kujawa ⟨radoslaw.kujawa@gmail.com⟩.

# CAVEATS

The RapidRoad USB module is not supported (yet).

February 17, 2017 | NetBSD 9.0